﻿@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="row m-t-2" id="account-row">
    <div class="col-xs-12 col-sm-4 col-md-3 m-b-3">
        <div class="account-picture"><img src="@ViewBag.AccountImgSrc" alt="" class="img-circle img-responsive"></div>
        <h4 class="text-center m-b-3">@ViewBag.FullName</h4>
        <ul class="nav nav-pills nav-stacked">
            @Html.LiActionLink("اطلاعات", "Index", "Account", "fa fa-info", null)
            @Html.LiActionLink("مطلع شدن ها", "Notifies", "Account", "fa fa-bell", null)
            @Html.LiActionLink("محصولات مورد علاقه", "Favorites", "Account", "fa fa-heart", null)
            @Html.LiActionLink("سفارش ها", "Orders", "Account", "fa fa-truck", null)
            @Html.LiActionLink("مدال ها", "Badges", "Account", "fa fa-certificate", null)
            @*<li role="presentation"><a href="account-password.html">Change Password</a></li>*@
        </ul>
    </div>
    <div class="col-xs-12 col-sm-8 col-md-9">
        <img alt="loading" hidden id="loading" src="@Url.Content("~/Content/img/loading.gif")" />
        <div id="account-container">
            @RenderBody()
        </div>
    </div>
</div>

@section scripts{
    @Scripts.Render("~/js/jquery-pjax")
    <script>
        $(document).ready(function () {
            $.pjax.defaults.timeout = 5000;
        });
        $('#account-row ul.nav.nav-pills').on('click', 'a', function () {
            $('#account-row ul.nav.nav-pills li').removeClass('active');
            $(this).parent().addClass('active');
        });
        if ($.support.pjax) {
            $('#account-row').on('click', 'a', function (event) {
                $.pjax.click(event, { container: '#account-container' })
                event.preventDefault();
            })
        }
        $(document).on('pjax:send', function () {
            $('#loading').show();
            $('#account-container').hide();
        });
        $(document).on('pjax:complete', function () {
            $('#account-container').show();
            $('#loading').hide();
        });
        $(document).on('pjax:error', function (xhr, textStatus, error, options) {
            $('#account-container').show();
            $('#loading').hide();
        });
    </script>
    @RenderSection("scripts", false)
}